# KDE-Benutzerhandbuch

&Lauri.Watts; &Lauri.Watts.mail;
2010-09-18
K Desktop Environment
kdesu
1

# `kdesu`

Führt ein Programm mit erweiterten Rechten aus.

    kdesu -c  command -d -f  file -i  icon name -n -p  priority -r -s -t -u  user --noignorebutton --attach  winid

    kdesu Allgemeine KDE-Optionen Allgemeine Qt-Optionen

## Beschreibung

&kdesu; ist die grafische Oberfläche von KDE für den &UNIX;-Befehl `su`. Sie können damit durch Eingabe des Passworts ein Programm unter einem anderen Benutzer laufen lassen. &kdesu; ist ein unprivilegiertes Programm, es verwendet das im System vorhandene `su`.

&kdesu; bietet eine zusätzliche Funktionalität: Es kann sich Passwörter merken. Wenn Sie diese Funktion benutzen, müssen Sie für jeden Befehl das Passwort nur einmal eingeben.

Dieses Programm ist für den Start aus der Befehlszeile oder über `.desktop`-Dateien gedacht.

`kdesu` wird nicht mehr in `$(kde4-config --prefix)`/bin, sondern in `kde4-config --path libexec` installiert. Daher ist es nicht mehr in Ihrem `Pfad`. Verwenden Sie deshalb `$(kde4-config --path libexec)`kdesu``, um `kdesu` aufzurufen.

## Parameter

`-c command`

  Dies gibt den Befehl an, der als Benutzer root ausgeführt werden soll. Er muss als Parameter übergeben werden. Wenn Sie beispielsweise einen neuen Dateimanager starten wollen, geben Sie auf der Befehlzeile Folgendes ein: `$(kde4-config --path libexec)`kdesu `-c &dolphin;```

`-d`

  Debug-Informationen anzeigen.

`-f datei`

  Dieser Parameter erlaubt die Verwendung von in &kdesu; in `.desktop`-Dateien. Hierüber wird &kdesu; mitgeteilt die durch `file` angegebene Datei zu untersuchen. Ist die Datei vom aktuellen Benutzer schreibbar, führt &kdesu; den Befehl als aktueller Benutzer aus. Ist die Datei nicht schreibbar, wird der Befehl als Benutzer `user` (Vorgabe ist hier root) ausgeführt.

  `file` wird wie folgt ausgewertet: wenn `file` mit einem `/` beginnt, wird er als absoluter Dateiname behandelt. Anderenfalls wird er als Name einer globalen Einrichtungsdatei von &kde; behandelt.

`-i` symbolname

  Angabe des Symbols für den Passwort-Dialog. Sie können hier auch nur den Namen ohne Erweiterung angeben.

`-n`

  Passwort nicht merken. Hierüber wird das Ankreuzfeld Passwort beibehalten deaktiviert.

`-p` priorität

  Legt die Priorität fest. Diese kann eine beliebige Zahl zwischen 0 und 100 sein, wobei 100 die höchste Priorität ist und 0 die niedrigste. Die Voreinstellung ist 50.

`-r`

  Echtzeit-Priorität verwenden.

`-s`

  Hält den kdesu-Dienst an. Das ist der Dienst, der im Hintergrund die Passwörter vorhält. Diese Funktion kann auch beim ersten Start von &kdesu; über `-n` abgeschaltet werden.

`-t`

  Terminal-Ausgabe aktivieren. Hierdurch wird das Beibehalten der Passwörter ausgeschaltet. Dies dient hauptsächlich dem Debuggen. Wenn Sie eine Anwendung für die Konsole ausführen wollen, benutzen Sie stattdessen den Befehl `su`.

`-u` benutzer

  Obwohl &kdesu; meistens dazu verwendet wird einen Befehl als Systemverwalter auszuführen, können Sie jeden Benutzer mit dem entsprechenden Passwort angeben.

`--noignorebutton`

  Keinen Ignorieren-Knopf anzeigen.

`--attach` winid

  Macht den Dialog temporär für das durch winid angegebene Fenster.

## Siehe auch

su(1)

Eine ausführlichere Dokumentation finden Sie über help:/kdesu (Geben Sie diese URL in die Adressleiste von &konqueror; ein oder rufen Sie ``khelpcenter` `help:/kdesu`` auf.)

## Beispiele

Starte `kfmclient` als Benutzer jim, und zeige das Symbole von &konqueror; im Passwortdialog:

    $(kde4-config --path libexec)kdesu -u jim -i konqueror kfmclient

## Autoren

&kdesu; wurde geschrieben von Geert Jansen jansen@kde.org und Pietro Iglio iglio@fub.it.